program Project2;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  Windows,
  Un_company in 'Un_company.pas',
  Un_class in 'Un_class.pas';
var Company:TCompany;
    file_name,q:string;
begin
  SetconsoleCP(1251);
  SetconsoleOutPutCP(1251);
  Writeln('Введите имя файла ');
  Readln(file_name);
  file_name:=file_name+'.txt';
  if not FileExists(file_name)then write('Файл не найден!!!')
  else
  begin
    Company:=TCompany.Create(file_name);
    Company.Print;
    Writeln('Введите номер телефона абонента,которого нужно добавить');
    Readln(q);
    Company.Add_obj;
    Company.Del_obj;
    Company.Print;
    Company.Destroy
  end;
  readln
end.


